package com.yc.ship.module.marketing.service.policydetail;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.marketing.controller.admin.policydetail.vo.*;
import com.yc.ship.module.marketing.dal.dataobject.policydetail.PolicyDetailDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 政策详情 Service 接口
 *
 * @author 管理员
 */
public interface PolicyDetailService {

    /**
     * 创建政策详情
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPolicyDetail(@Valid PolicyDetailSaveReqVO createReqVO);

    /**
     * 更新政策详情
     *
     * @param updateReqVO 更新信息
     */
    void updatePolicyDetail(@Valid PolicyDetailSaveReqVO updateReqVO);

    /**
     * 删除政策详情
     *
     * @param id 编号
     */
    void deletePolicyDetail(Long id);

    /**
     * 获得政策详情
     *
     * @param id 编号
     * @return 政策详情
     */
    PolicyDetailDO getPolicyDetail(Long id);

    /**
     * 获得政策详情分页
     *
     * @param pageReqVO 分页查询
     * @return 政策详情分页
     */
    PageResult<PolicyDetailDO> getPolicyDetailPage(PolicyDetailPageReqVO pageReqVO);

    List<PolicyDetailDO> getByPolicyId(Long id);

    List<PolicyDetailDO> getByPolicyIds(List<Long> policyIds);
}